Package be.fgov.ehealth.hubservices.core.v3

# Class Paginationresponseinfo

java.lang.Object
be.fgov.ehealth.hubservices.core.v3.Paginationresponseinfo

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:13:03+02:00", comments="JAXB RI v4.0.5") public class Paginationresponseinfo extends Object implements Serializable

Java class for Paginationresponseinfo complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Paginationresponseinfo">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="pagesize" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="totalrecordcount" type="{http://www.w3.org/2001/XMLSchema}int"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Paginationresponseinfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPagesize()`
  Size of each page.
  `int`
  `getTotalrecordcount()`
  Total number of records available.
  `void`
  `setPagesize(int value)`
  Sets the value of the pagesize property.
  `void`
  `setTotalrecordcount(int value)`
  Sets the value of the totalrecordcount property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Paginationresponseinfo

    public Paginationresponseinfo()

- ## Method Details

  - ### getPagesize

    public int getPagesize()
    Size of each page.

  - ### setPagesize

    public void setPagesize(int value)
    Sets the value of the pagesize property.

  - ### getTotalrecordcount

    public int getTotalrecordcount()
    Total number of records available.

  - ### setTotalrecordcount

    public void setTotalrecordcount(int value)
    Sets the value of the totalrecordcount property.